LINUX.ORG.RU

Как подобрать видео драйвер NVIDIA ?

 ,


0

1

Имеется ноутбук с видеокартами Intel + Nvidia 920m Драйвера работают рандомно. Допустим на ядре 4.14.8 - 374 работает идеально, 390 не работает. На ядре 4.14.9 уже 374 драйвер не работает, 390 тоже. Как максимально подобрать видео драйвер, что б работал с новым ядром?

циферки в номерах ядер умиляют чего хоть за дистр? есть же nvidia-detect, он подскажет какой драйвер установить...

amd_amd ★★★ ()

Как подобрать видео драйвер NVIDIA ?

тяжело выбирать из одного варианта?

Deleted ()

Поставил ядро stable 4.14.32 Пробую из драйверов - ничего не работает Комманда lspci -k| grep -EA2 'VGA|3D' Показывает что модуль nvidia не используется: Kernel modules: nvidiafb, nouveau

Kenny3k ()

После каждого обновления ядра нужно обновлять kernel headers и переустанавливать видеодрайвер. Это я тебе как пользователь FreeBSD говорю с 12 летним опытом эксплуатации системы с видеокарточками от NVIDIA.

iZEN ★★★★★ ()
Ответ на: комментарий от iZEN

так именно была чистая установка xubuntu, потом установка ядра 384, - после ребута вижу пустой nvidia x server settings

Kenny3k ()
Ответ на: комментарий от Kenny3k

Нужно подобрать версию драйвера под видюшку на сайте NVIDIA и танцевать, исходя от этой информации.

iZEN ★★★★★ ()

Для новых карт тупо берёшь самый последний (смотреть версию на сайте нвидии, а не у дистрибутивных тормозов).

anonymous ()

Попробуй то ядро, на которое указывает пакет linux-image-generic.

rumgot ★★★★★ ()

После обновления ведра - повторго установи драйвер. Вообще, в Debian и Ubuntu сеть механизм DKMS, который избавляет от такой необходимости

anonymous ()

для полноценной работы надо установить linux-headers одинаковой версией с ядром и накатить nvidia-kernel-dkms у него в зависимостях уже должны быть необходимые видео райвера...

amd_amd ★★★ ()
Ответ на: комментарий от Kenny3k

Сейчас в убунте 16.04 по умолчанию идёт ядро 4.4 и hwe ядро 4.13(до этого были hwe ядра 4.8 и 4.10). Вопрос: где взял ядро 4.14 и зачем этим нарушил убунтодао?

ss_ash ★★★ ()

на офсайте посмотреть какая версия доступна для скачивания под твою карту

xmikex ★★★ ()
Ответ на: комментарий от xmikex

на оффсайте почти все под нее доступны, но не рабочие с новыми ядрами(

Kenny3k ()

Тебе не драйвер, а bumblebee нужно. Не слушай дурачков с nvidia-detect и прочим. Какая версия Ubuntu? В 16.04 нужно много шаманств для Optimus.

anonymous ()
Ответ на: комментарий от anonymous

xubuntu 16.04.4 да я как то и к nvidia-prime привык вполне, в сторону бамбелби смотрел, лень возиться с установкой)

Kenny3k ()
Ответ на: комментарий от Kenny3k

ukuu тащит ядра с http://kernel.ubuntu.com/ , а там они и не обещали, что ядро будет работать, тем более с нвидиаблобом. Вообще, раз используешь пакетный дистр, то и пользуй ядро и блоб из репозитория, тем более что через неделю 18.04 выйдет с 4.15

ss_ash ★★★ ()

Обратиться в поддержку nvidia
Больше не покупать ноуты с видеокартами от nvidia

torvn77 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.